ssu-esl-afetch(1)

NAME

ssu-esl-afetch - retrieve alignments from a multi-MSA database

SYNOPSIS

Single MSA retrieval:
    ssu-esl-afetch [options] msafile key

Multiple MSA retrieval:
    ssu-esl-afetch -f [options] msafile keyfile

Indexing an MSA file for retrieval:
    ssu-esl-afetch --index msafile

DESCRIPTION
ssu-esl-afetch retrieves the alignment named key from an alignment database in file msafile. The msafile is a "multiple multiple alignment" file in Stockholm (e.g. native Pfam or Rfam) format. The key is either the name (ID) of the alignment, or its accession number (AC).

Alternatively, ssu-esl-afetch -f provides the ability to fetch many alignments at once. The -f option has it interpret the second argument as a <keyfile>, a file consisting of one name or accession per line.

The msafile should first be SSI indexed with ssu-esl-afetch --index for efficient retrieval. An SSI index is not required, but without one alignment retrieval may be painfully slow.

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

-f  Interpret the second argument as a keyfile instead of as just one key. The keyfile contains one name or accession per line. This option doesn't work with the --index option.

-o <f>
    Output retrieved alignments to a file <f> instead of to stdout.

-O  Output retrieved alignment to a file named <key>. This is a convenience for saving some typing: instead of ssu-esl-afetch -o RRM_1 msafile RRM_1 you can just type ssu-esl-afetch -O msafile RRM_1. The -O option only works if you're retrieving a single alignment; it is incompatible with -f.

--index
    Instead of retrieving a key, the special command ssu-esl-afetch --index msafile produces an SSI index of the names and accessions of the alignments in the msafile. Indexing should be done once on the msafile to prepare it for all future fetches.

AUTHOR
Easel and its documentation are Copyright (C) 2016 HHMI Janelia Farm Research Campus. Freely distributed under the BSD open source license.. See COPYING in the source code distribution for more details. The Easel home page is: http://bioeasel.org/